Subject: Re: Possible git bug in commit-graph: "invalid commit position"

From: Alex Riesen <[email-masked]>
Date: Fri, 15 May 2020 14:03:33 +0200

Gary Oberbrunner, Tue, Feb 04, 2020 23:33:42 +0100:
> Sorry for the long reply delay; the bug went away and only just showed
> up again. Here's the info you requested.
> I'm now running git 2.25.0.

I hit a very similar problem today with 2.26.0. Also in a submodule.

Removing and regenerating the commit graph did not help and I did not have the
commit-graphs directory (only a file). "git commit-graph verify" does not find
anything. Switching writeCommitGraph on and regenerating the commit graph
makes no difference.

I can trigger it reliably by visiting the broken(?) commit in supermodule with:

    git show --submodule=log <commit>

I see nothing special in the commit invovled. It is just a single commit in my
case, and the commit is a merge of two branches.

Regards,
Alex